%if 0%{?el6}%{?el7}%{?fc29}%{?fc30}%{?fc31}
%bcond_without python2
%else
%bcond_with    python2
%endif
%if 0%{?el6}%{?el7}%{?el8}%{?fedora}
%bcond_without python3
%else
%bcond_with    python3
%endif

Name:           python-iptools
Version:        0.7.0
Release:        1%{?dist}
Summary:        Useful functions and objects for manipulating IP addresses

License:        BSD
URL:            https://github.com/bd808/%{name}
Source0:        %{url}/archive/v%{version}/iptools-%{version}.tar.gz

BuildArch:      noarch


%description
A few useful functions and objects for manipulating IPv4 and IPv6 addresses
in python. The project was inspired by a desire to be able to use CIDR address
notation to designate INTERNAL_IPS in a Django project's settings file.


%if %{with python2}
%package -n python2-iptools
Summary:        Useful functions and objects for manipulating IP addresses
BuildRequires:  python2-devel
BuildRequires:  python2-nose
BuildRequires:  python2-setuptools
%{?python_provide:%python_provide python2-iptools}

%description -n python2-iptools
A few useful functions and objects for manipulating IPv4 and IPv6 addresses
in python. The project was inspired by a desire to be able to use CIDR address
notation to designate INTERNAL_IPS in a Django project's settings file.

Python 2 version.
%endif


%if %{with python3}
%package -n python%{python3_pkgversion}-iptools
Summary:        Useful functions and objects for manipulating IP addresses
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-iptools}

%description -n python%{python3_pkgversion}-iptools
A few useful functions and objects for manipulating IPv4 and IPv6 addresses
in python. The project was inspired by a desire to be able to use CIDR address
notation to designate INTERNAL_IPS in a Django project's settings file.

Python 3 version.
%endif


%prep
%setup -q
find -name .gitignore -delete

%if %{with python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%if %{with python2}
%py2_build
%endif

%if %{with python3}
pushd %{py3dir}
%py3_build
popd
%endif


%install
%if %{with python3}
pushd %{py3dir}
%py3_install
popd
%endif

%if %{with python2}
%py2_install
%endif


%check
%if %{with python2}
%{__python2} setup.py test
%endif

%if %{with python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

 
%if %{with python2}
%files -n python2-iptools
%license LICENSE
%doc AUTHORS CHANGES docs README.md
%{python2_sitelib}/*
%endif

%if %{with python3}
%files -n python%{python3_pkgversion}-iptools
%license LICENSE
%doc AUTHORS CHANGES docs README.md
%{python3_sitelib}/*
%endif


%changelog
* Mon Jan 20 2020 Xavier Bachelot <xavier@bachelot.org> - 0.7.0-1
- Update to 0.7.0.
- Conditionalize py2/py3 builds.
- Modernize specfile.

* Mon Apr 22 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.1-1
- Update to 0.6.1

* Fri Apr 19 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.0-4
- Remove install dir rm in %%install

* Fri Apr 19 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.0-3
- Cleanup macros

* Sun Apr 7 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.0-2
- Add BR python-setuptools
- Add %%check

* Sat Apr 6 2013 Orion Poplawski <orion@cora.nwra.com> - 0.6.0-1
- Initial Fedora package
